PHP Manual
Prev |  | Next

# HttpResponse::setContentDisposition

(no version information, might be only in CVS)

HttpResponse::setContentDisposition -- Set content disposition

## Description

staticbool HttpResponse::setContentDisposition ( string filename [, bool inline = FALSE] )

Set the `Content-Disposition`. The `Content-Disposition` header is very useful if the data actually sent came from a file or something similar, that should be "saved" by the client/user (i.e. by browsers "Save as..." popup window).

## Parameters

`filename`

  the file name the "Save as..." dialog should display

`inline`

  if set to true and the user agent knows how to handle the content type, it will probably not cause the popup window to be shown

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

HttpResponse::getContentDisposition()
HttpResponse::getContentType()
HttpResponse::setContentType()

Prev | Home | Next
HttpResponse::setCache | Up | HttpResponse::setContentType